html
{
	height: 800vh;
}


#div-1
{
	background-color: green;
	/* Take as much spaces as they can or consume the entire width of the webpage. */
	/*display: block;*/
	display: inline;
}

#span-1
{
	background-color: purple;
	/* Takes only the necessary space needed. */
	/*display: inline;*/
	display: none;
	width: 200px; /* Inline elements cannot change the height and width. */
	height: 200px;
}

#img
{
	width: 250px;
	height: 250px;
	/* Get the ability of block elements to set the height and width, but only takes the space intended like "inline" elements. */
	display: inline-block;
}

#span-2
{
	background-color: hotpink;
	display: block;
}

#div-2
{
	background-color: red;
	/* It hides the element from the website and it will not be shown visually. */
	display: none;
}



/* CSS Color Values */

#p-1
{
	background-color: #87CEFA; /* Hex code */
}

#p-2
{
	background-color: rgb(255, 105, 180); /* Color values using rgb */
	width: 60%;
}

#p-3
{
	background-color: yellow; /* Color names */
	width: 40%;
}

.sample
{
	display: inline-block;
	width: 30%;
	border: 1px solid black;
	text-align: center;
}



/* Float Property */

#float-parent
{
	float: left;
}

.img-float
{
	height: 250px;
	width: 250px;
	/* Inherit the values from the parent element. */
	float: inherit;
}



/* CSS Units */

.box
{
	background-color: red;
	border: 1px solid black;
	margin: 5px;
}

.fifty-percent
{
	/* Relative to the parent element */
	/* Percentage units are often useful to set margins */
	width: 50%;
}

.one-hundred-pixels
{
	/* Pixels (px) are considered as absolute units, although relative with the DPI and resolution of viewing device. */
	width: 100px;
}

/*
	- Viewport Units represents a percentage of current browser size.
	- These are calculated as a percentage of the browser's current viewport size. (100vw = 100% browser screen)
	- Useful in creating full width (100%) elements to fill up the entire viewport.
*/

.fifty-vw
{
	width: 50vw;  /* Viewport width */
}


.twenty-five-vh
{
	height: 25vh; /* Viewport height */
}


/*
	rem/em is commonly used in setting font-size;
*/

.one-rem
{
	font-size: 1rem;
}

.one-em
{
	font-size: 1em;
}

.two-rem
{
	font-size: 2rem;
}


.two-em
{
	font-size: 2em;
}

.two-hundred-percent
{
	font-size: 200%;
}

.parent
{
	width: 135px;
	border: 2px solid navy;
	font-size: 30px; /* em will follow the parent */
}


/* CSS Background Property */
.background
{
	min-height: 20rem;
	/*background-color: gray;*/
	/* background-image: url(URI/filePath) - Takes on the path to your image, and set it as the background of the specific container */
	background-image: url(https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg);
	/* 
		background-repeat sets the background image to repeat if the width exceeds the background size 
		Values:  repeat-x/y, space, round
	*/
	background-repeat: no-repeat;

	/*
		background-size - specifies the size of the image
			- values: auto, cover, contain
			- unit values: set the width and height of the background image
				- one value syntax:  sets the width, auto height.
				- two values syntax:  set the first value for width, and second value for the height.
	*/

	background-size: 100%;

	/*
		background-position - position the background relative to the parent element.
			- Two values are needed
				- x value from the left to right (offset)
				- y value from the top to bottom
			- The values can be in form of: 
				- unit values (width and height)
				- left, right, top, bottom and center
	*/
	background-position: center top;

	/* background-attachement - sets whether a background image scrolls with the rest of the page or it is fixed. */
	background-attachment: fixed;
}

.bg-title
{
	color: white;
	text-align: center;
	font-size: 5rem;
	margin: 0;
	line-height: 35rem;
}

.container-bg
{
	background-color: rgba(0, 0, 0, 0.5); /* "a" stands for the alpha channel to change the opacity of a color*/
	min-height: 100vh; /* defines the minimum height of an element. */
}


/* CSS Position Property */
.parent-element
{
	background-color: skyblue;
	padding: 10px;
	position: relative;
	height: 800vh;
}

.child-one
{
	background-color: gray;
	padding: 10px;
}

/*
	css position properties defines the position of an element in the document.
	applied to the relative element
	-absolute
	-fixed
	-sticky
*/

.child-two
{
	background-color: yellow;
	padding: 10px;
	position: sticky;
	/*left: 10px;*/
	top: 10px;
}

.child-three
{
	background-color: gray;
	padding: 10px;
}


/* Z index */
.container
{
	position: relative;
}

.black-box
{
	position: relative;
	z-index: 1;
	border: 2px solid black;
	height: 100px;
	margin: 30px;
}

.gray-box
{
	position: absolute;
	z-index: 3;
	background-color: lightgray;
	height: 60px;
	width: 70%;
	top: 50px;
	left: 50px;
}

.green-box
{
	position: absolute;
	z-index: 2;
	background-color: lightgreen;
	width: 35%;
	left: 270px;
	top: -15px;
	height: 100px;
}